[SOLVED] dnf install xalan-j2 conflictiong request?

Issues related to applications and software problems and general support
anderson_thomas
Posts: 96
Joined: 2011/11/21 10:19:41

[SOLVED] dnf install xalan-j2 conflictiong request?

Post by anderson_thomas » 2020/02/25 11:23:51

Hi,

I try to install the
# dnf install xalan-j2
package,
but it sill ends up with following error message:

Code: Select all

CentOS-8 - Base                                  17 kB/s | 3.8 kB     00:00
CentOS-8 - AppStream                            125 kB/s | 4.3 kB     00:00
CentOS-8 - PowerTools                            23 kB/s | 4.3 kB     00:00
CentOS-8 - Extras                                11 kB/s | 1.5 kB     00:00
Error:
  Problem 1: conflicting requests
   - package  
xml-commons-resolver-1.2-26.module_el8.1.0+233+b2be703e.noarch is  
filtered out by modular filtering
   - package  
xml-commons-resolver-1.2-26.module_el8.0.0+30+832da3a1.noarch is  
filtered out by modular filtering
  Problem 2: conflicting requests
   - package  
xml-commons-apis-1.4.01-25.module_el8.1.0+233+b2be703e.noarch is  
filtered out by modular filtering
   - package  
xml-commons-apis-1.4.01-25.module_el8.0.0+30+832da3a1.noarch is  
filtered out by modular filtering
  Problem 3: conflicting requests
   - package xerces-j2-2.11.0-34.module_el8.1.0+233+b2be703e.noarch is  
filtered out by modular filtering
   - package xerces-j2-2.11.0-34.module_el8.0.0+30+832da3a1.noarch is  
filtered out by modular filtering
  Problem 4: conflicting requests
   - package xalan-j2-2.7.1-38.module_el8.1.0+233+b2be703e.noarch is  
filtered out by modular filtering
   - package xalan-j2-2.7.1-38.module_el8.0.0+30+832da3a1.noarch is  
filtered out by modular filtering
(try to add '--skip-broken' to skip uninstallable packages)
I can install the packages with
dnf install
xalan-j2-2.7.1-38.module_el8.1.0+233+b2be703e.noarch.rpm
,
BUT this is not possible inside a BUILD environment like
https://copr.fedorainfracloud.org/coprs ... jk/builds/.

Is there a solution for my problem?

Thank you in advance!
Klaus.
Last edited by anderson_thomas on 2020/03/02 05:50:25, edited 1 time in total.

sml
Posts: 116
Joined: 2020/01/17 09:01:44

Re: dnf install xalan-j2 conflictiong request?

Post by sml » 2020/02/25 12:14:20

This is what I get with copr mock-config tachtler/apache-mod_jk epel-8-x86_64:

Code: Select all

# This is development/testing only mock profile, not exactly the same as
# is used on copr builders;  but it is basically similar.  If you need an
# exact mock configuration (because you e.g. try to reproduce failed
# build), such configuration is put alongside the built RPMs.

include('/etc/mock/epel-8-x86_64.cfg')

config_opts['root'] = 'tachtler-apache-mod_jk_epel-8-x86_64'

config_opts['yum.conf'] += """

[copr_base]
name="Copr repository"
baseurl=https://download.copr.fedorainfracloud.org/results/tachtler/apache-mod_jk/epel-8-x86_64/
gpgcheck=0
enabled=1
skip_if_unavailable=1
metadata_expire=0
cost=1
best=1
"""
I'm not using COPR. But to be able to build Java apps locally, in my ~/.config/mock.cfg I have

Code: Select all

config_opts['module_enable'] = ['javapackages-tools']

anderson_thomas
Posts: 96
Joined: 2011/11/21 10:19:41

Re: dnf install xalan-j2 conflictiong request?

Post by anderson_thomas » 2020/02/25 14:05:15

Hi sml,

my problem is, that the dependencies had some "
conflicting requests
" building the BUILD environment.

The command

Code: Select all

# dnf install xalan-j2
fails with the error described above.

Thank you!
Klaus.

sml
Posts: 116
Joined: 2020/01/17 09:01:44

Re: dnf install xalan-j2 conflictiong request?

Post by sml » 2020/02/25 14:54:40

So how about dnf module enable javapackages-tools?

anderson_thomas
Posts: 96
Joined: 2011/11/21 10:19:41

Re: dnf install xalan-j2 conflictiong request?

Post by anderson_thomas » 2020/02/26 08:02:02

Hi sml,

thank you for your support, but no it's not working.

I think there is a package conflict between the two versions of the xalan-j2 packages?

Code: Select all

  - package xalan-j2-2.7.1-38.module_el8.1.0+233+b2be703e.noarch is filtered out by modular filtering
  - package xalan-j2-2.7.1-38.module_el8.0.0+30+832da3a1.noarch is filtered out by modular filtering
How can this be resolved?

Thank you,
Klaus.

sml
Posts: 116
Joined: 2020/01/17 09:01:44

Re: dnf install xalan-j2 conflictiong request?

Post by sml » 2020/02/26 08:18:16

Well, the first one is part of module pki-deps, while the second one is from the module javapackages-tools, you probably have both modules enabled:

Code: Select all

dnf module list pki-deps javapackages-tools
So how about doing it the other way round:

Code: Select all

dnf module reset javapackages-tools

anderson_thomas
Posts: 96
Joined: 2011/11/21 10:19:41

Re: dnf install xalan-j2 conflictiong request?

Post by anderson_thomas » 2020/02/26 08:25:52

Hi sml,

sorry, but I'm a beginner at Fedore COPR, so how can I enable or disable modules for that build platform?

At my private build server, I can confirm that:

Code: Select all

# dnf module list pki-deps javapackages-tools
Failed to set locale, defaulting to C.UTF-8
Last metadata expiration check: 0:00:02 ago on Wed Feb 26 09:30:06 2020.
CentOS-8 - AppStream
Name                                                      Stream                                            Profiles                                       Summary                                                                            
pki-deps                                                  10.6                                                                                             PKI Dependencies module for PKI 10.6 or later                                      

CentOS-8 - PowerTools
Name                                                      Stream                                            Profiles                                       Summary                                                                            
javapackages-tools                                        201801 [e]                                        common                                         Tools and macros for Java packaging support                                        

Hint: [d]efault, [e]nabled, [x]disabled, [i]nstalled
Thank you (for your patience with me)!
Klaus.

sml
Posts: 116
Joined: 2020/01/17 09:01:44

Re: dnf install xalan-j2 conflictiong request?

Post by sml » 2020/02/26 08:58:05

As I said, I'm not using COPR to build packages. I guess enabling modules in COPR UI is described in this post (the first item).

anderson_thomas
Posts: 96
Joined: 2011/11/21 10:19:41

Re: dnf install xalan-j2 conflictiong request?

Post by anderson_thomas » 2020/02/29 07:33:52

Hi,

a basic install like
# dnf --enablerepo=AppStream install xalan-j2
Last metadata expiration check: 0:07:48 ago on Sat 29 Feb 2020 08:25:09 AM CET.
No match for argument: xalan-j2
Error: Unable to find a match: xalan-j2
are also NOT possible?

Why? - I can see a package for xalan-j2 on some CentOS-8 Mirrors like:

https://ftp-stud.hs-esslingen.de/Mirror ... noarch.rpm

Thank you and sorry for my basic questions!
Klaus.

User avatar
TrevorH
Forum Moderator
Posts: 29985
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: dnf install xalan-j2 conflictiong request?

Post by TrevorH » 2020/02/29 09:47:09

Because it's part of a module that you don't have enabled I would suspect. Use dnf module list and check the status of javapackages-tools:201801 and if it's not enabled, enable it with dnf module enable javapackages-tools:201801

If you're building with mock then you have to add lines like

config_opts['module_install'] = ['javapackages-tools:201801','pki-deps:10.6']

to your config file.
CentOS 6 died in November 2020 - migrate to a new version!
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 is dead, do not use it.
Full time Geek, part time moderator. Use the FAQ Luke

Post Reply

Return to “CentOS 8 - General Support”